View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012249FPCCompilerpublic2008-09-28 20:232011-12-01 10:15
Reporterbefelemepeseveze 
Assigned ToPaul Ishenin 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.3.1Product Build 
Target VersionFixed in Version2.6.0 
Summary0012249: Specialization of a generic type with an overriden destructor crashes the compiler
DescriptionI was not able to find this issue in Mantis, so I hope that I am not introducing a duplicate report.
Additional InformationFPC SVN revision 11834. Source and logs in attached archive. Workaround not found.
Tagsgenerics
FPCOldBugId0
Fixed in Revision16476
Attached Filesgz file icon report.tar.gz [^] (787 bytes) 2008-09-28 20:23

- Relationships

-  Notes
(0043735)
Paul Ishenin (developer)
2010-11-29 15:50

Please test and close if ok.

- Issue History
Date Modified Username Field Change
2008-09-28 20:23 befelemepeseveze New Issue
2008-09-28 20:23 befelemepeseveze File Added: report.tar.gz
2008-09-28 20:29 Florian Status new => assigned
2008-09-28 20:29 Florian Assigned To => Peter Vreman
2010-08-15 23:38 Ian Hickson Tag Attached: generics
2010-11-29 15:50 Paul Ishenin Fixed in Revision => 16476
2010-11-29 15:50 Paul Ishenin Status assigned => resolved
2010-11-29 15:50 Paul Ishenin Fixed in Version => 2.5.1
2010-11-29 15:50 Paul Ishenin Resolution open => fixed
2010-11-29 15:50 Paul Ishenin Note Added: 0043735
2010-12-10 15:31 Jonas Maebe FPCOldBugId => 0
2010-12-10 15:31 Jonas Maebe Assigned To Peter Vreman => Paul Ishenin
2011-12-01 10:15 Marco van de Voort Fixed in Version 2.5.1 => 2.6.0



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker